/*
 * Swagger Basket
 *
 * Корзина товаров
 *
 * The version of the OpenAPI document: 1.0.0
 *
 * Generated by: https://openapi-generator.tech
 */

using Microsoft.AspNetCore.Mvc.Formatters;

namespace BasketApp.Api.Adapters.Http.Contract.src.OpenApi.Formatters;

/// <inheritdoc />
public class InputFormatterStream : InputFormatter
{
    /// <inheritdoc />
    public InputFormatterStream()
    {
        SupportedMediaTypes.Add("application/octet-stream");
        SupportedMediaTypes.Add("image/jpeg");
    }

    /// <inheritdoc />
    public override Task<InputFormatterResult> ReadRequestBodyAsync(InputFormatterContext context)
    {
        return InputFormatterResult.SuccessAsync(context.HttpContext.Request.Body);
    }

    /// <inheritdoc />
    protected override bool CanReadType(Type type)
    {
        if (type == typeof(Stream)) return true;

        return false;
    }
}